Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.tileentity
Class TileEntitySign

    java.lang.Object
      net.minecraft.tileentity.TileEntity
          net.minecraft.tileentity.TileEntitySign

    public class TileEntitySign

extends TileEntity

Field Summary
`int` | `lineBeingEdited` The index of the line currently being edited.
`String[]` | `signText` An array of four strings storing the lines of text on the sign.

Fields inherited from class net.minecraft.tileentity.TileEntity
`blockMetadata, blockType, worldObj, xCoord, yCoord, zCoord`

Constructor Summary
`TileEntitySign()`

Method Summary
`Packet` | `getDescriptionPacket()` Overriden in a sign to provide the text.
`boolean` | `isEditable()`
`void` | `readFromNBT(NBTTagCompound par1NBTTagCompound)` Reads a tile entity from NBT.
`void` | `setEditable(boolean par1)`
`void` | `writeToNBT(NBTTagCompound par1NBTTagCompound)` Writes a tile entity to NBT.

Methods inherited from class net.minecraft.tileentity.TileEntity
`addMapping, canUpdate, createAndLoadEntity, func_70309_m, func_82115_m, func_85027_a, getBlockMetadata, getBlockType, getDistanceFrom, getWorldObj, invalidate, isInvalid, onChunkUnload, onDataPacket, onInventoryChanged, receiveClientEvent, setWorldObj, shouldRefresh, updateContainingBlockInfo, updateEntity, validate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### signText

    public String[] signText

  An array of four strings storing the lines of text on the sign.

### lineBeingEdited

    public int lineBeingEdited

  The index of the line currently being edited. Only used on client side, but defined on both. Note this is only really used when the > < are going to be visible.

Constructor Detail

### TileEntitySign

    public TileEntitySign()

Method Detail

### writeToNBT

    public void writeToNBT(NBTTagCompound par1NBTTagCompound)

  Writes a tile entity to NBT.

  Overrides:
    `writeToNBT` in class `TileEntity`

### readFromNBT

    public void readFromNBT(NBTTagCompound par1NBTTagCompound)

  Reads a tile entity from NBT.

  Overrides:
    `readFromNBT` in class `TileEntity`

### getDescriptionPacket

    public Packet getDescriptionPacket()

  Overriden in a sign to provide the text.

  Overrides:
    `getDescriptionPacket` in class `TileEntity`

### isEditable

    public boolean isEditable()

### setEditable

    public void setEditable(boolean par1)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD